Unfollow channel
curl --request POST \
--url https://{host}/api/{session}/channels/{id}/unfollow \
--header 'apikey: <api-key>'import requests
url = "https://{host}/api/{session}/channels/{id}/unfollow"
headers = {"apikey": "<api-key>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {apikey: '<api-key>'}};
fetch('https://{host}/api/{session}/channels/{id}/unfollow', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"message": "You have unfollowed this channel"
}
Channels
Unfollow Channel
Unfollow a channel on WhatsApp
POST
/
api
/
{session}
/
channels
/
{id}
/
unfollow
Unfollow channel
Description
This endpoint allows you to unfollow a specific channel on WhatsApp, removing it from your list of followed channels and stopping receiving updates from the channel.URL Parameters
string
required
WhatsApp unique authenticated session ID
string
required
Unique ID of the channel to unfollow
Response
boolean
Indicates if you unfollowed the channel successfully
{
"success": true,
"message": "You have unfollowed this channel"
}
Status Codes
200- Unfollowed the channel successfully400- Invalid ID or not following the channel401- Unauthorized404- Channel not found500- Internal server error
Usage Example
curl -X POST https://api.wappfy.com.br/api/my-session/channels/123456789@newsletter/unfollow
const session = 'my-session';
const channelId = '123456789@newsletter';
const response = await fetch(`https://api.wappfy.com.br/api/${session}/channels/${channelId}/unfollow`, {
method: 'POST'
});
const data = await response.json();
console.log(data);
import requests
session = 'my-session'
channel_id = '123456789@newsletter'
response = requests.post(f'https://api.wappfy.com.br/api/{session}/channels/{channel_id}/unfollow')
data = response.json()
print(data)
